<?php
/**
 * Show the appropriate content for the Video post format.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package United Blog
 * @since United Blog 1.0.0
 */

$content = get_the_content();

if (has_block('core/video', $content)) {
    united_blog_get_first_instance_of_block('core/video', $content);
} elseif (has_block('core/embed', $content)) {
    united_blog_get_first_instance_of_block('core/embed', $content);
} else {
    united_blog_get_first_instance_of_block('core-embed/*', $content);
}